GET
/
api
/
v1
/
renters
/
{renter_id}
/
leases
List renter leases
curl --request GET \
  --url http://127.0.0.1:8080/api/v1/renters/{renter_id}/leases
{
  "leases": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "renter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "start_date": "2023-12-25",
      "monthly_rent": 123,
      "deposit_amount": 123,
      "number_of_occupants": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "end_date": "2023-12-25",
      "note": "<string>"
    }
  ]
}

Path Parameters

renter_id
string<uuid>
required

Renter ID

Response

200 - application/json

Leases for renter

leases
object[]
required